#version 330

in vec3 position;
in vec2 uv;

uniform mat4 modelMatrix;
uniform mat4 projectionViewMatrix;
uniform vec3 eyePosition;

out vec2 fragmentUV;

void main(void)
{	
	mat4 transform = modelMatrix;
	transform[3].xyz = eyePosition;
	fragmentUV = uv;
	gl_Position = projectionViewMatrix * transform * vec4(position, 1.0f);
}