#version 330

uniform sampler2D texMipMapped;
smooth in vec2 fragmentUV;

out vec4 fragColor;

vec4 threshold = vec4(0.75f, 0.75f, 0.75f, 0.0f);

void main(void)
{
	fragColor = max(textureLod(texMipMapped, fragmentUV, 2.0f) - threshold, vec4(0.0f));
}
