#version 330

uniform sampler2D texSkybox;
uniform sampler2D texScene;
smooth in vec2 fragmentUV;

out vec4 fragColor;

void main(void)
{
	vec4 scene = texture(texScene, fragmentUV);
	fragColor = texture(texSkybox, fragmentUV) * (1 - scene.a) + scene;
}
