#version 330

in vec3 position;
in vec2 uv;

uniform mat4 modelMatrix;
uniform mat4 projectionMatrix;

smooth out vec2 fragmentUV;

void main() {
	gl_Position = projectionMatrix * modelMatrix * vec4(position, 1);
	fragmentUV = uv;
}