#version 330

in vec3 position;
in vec2 uv;

out vec2 fragmentUV;

uniform mat4 modelMatrix;
uniform mat4 projectionViewMatrix;

void main() {
	gl_Position = projectionViewMatrix * modelMatrix * vec4(position, 1);
	fragmentUV = uv;
}